If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

/invite command is broken in private conversations

RESOLVED FIXED in 1.5

Status

Chat Core
Yahoo! Messenger
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: qheaden)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 2090 at 2013-08-02 11:45:00 UTC ***

STR
"/invite username" from a chat with username.

Result:
Timestamp: 08/02/2013 01:43:23 PM
Warning: ReferenceError: reference to undefined property conf._roomName
Source File: resource://gre/components/yahoo.js
Line: 443
Timestamp: 08/02/2013 01:43:23 PM
Error: NS_ERROR_XPC_JS_THREW_JS_OBJECT: 'TypeError: conf.getParticipantNames is not a function' when calling method: [imICommand::run]
Source File: resource://gre/components/imCommands.js
Line: 229
(Reporter)

Comment 1

4 years ago
*** Original post on bio 2090 at 2013-08-02 12:00:13 UTC ***

Probably the correct behaviour is to check we are actually in a MUC when using /invite. And possibly to suggest that the correct command to open a new MUC is /join, and not to list the command when in a private conversation?
(Reporter)

Updated

4 years ago
Summary: /invite command is broken → /invite command is broken in private conversations
(Assignee)

Comment 2

4 years ago
Created attachment 8354460 [details] [diff] [review]
Patch 1

*** Original post on bio 2090 as attmnt 2691 at 2013-08-09 14:22:00 UTC ***

This patch fixes the issue by limiting use of the /invite command to conference chats only. In private IM chats, the command is hidden.
Attachment #8354460 - Flags: review?(clokep)
(Assignee)

Updated

4 years ago
Assignee: nobody → qheaden
Status: NEW → ASSIGNED
Comment on attachment 8354460 [details] [diff] [review]
Patch 1

*** Original change on bio 2090 attmnt 2691 at 2013-08-11 18:14:32 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354460 - Flags: review?(clokep) → review+
*** Original post on bio 2090 at 2013-08-19 13:23:16 UTC ***

http://hg.instantbird.org/instantbird/rev/48b236700aca
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.